import type { SponsorDashboardDTO } from '@core/racing/application/use-cases/GetSponsorDashboardUseCase';
import type { ISponsorDashboardPresenter, SponsorDashboardViewModel } from '@core/racing/application/presenters/ISponsorDashboardPresenter';

export class GetSponsorDashboardPresenter implements ISponsorDashboardPresenter {
  private result: SponsorDashboardViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: SponsorDashboardDTO | null) {
    this.result = dto;
  }

  getViewModel(): SponsorDashboardViewModel | null {
    return this.result;
  }

  get viewModel(): SponsorDashboardViewModel | null {
    return this.result;
  }
}